---
lang: en
title: 'API docs: graphql.graphqlwscontextresolver'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/graphql
permalink: /doc/en/lb4/apidocs.graphql.graphqlwscontextresolver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/graphql](./graphql.md) &gt; [GraphQLWsContextResolver](./graphql.graphqlwscontextresolver.md)

## GraphQLWsContextResolver type

**Signature:**

```typescript
export type GraphQLWsContextResolver = (ctx: {
    [key: string]: unknown;
}, message: SubscribeMessage, args: ExecutionArgs) => Promise<GraphQLExecutionContextValue> | GraphQLExecutionContextValue;
```

